# Generated by Django 5.0 on 2024-07-01 14:35

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("notification", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="EmailTemplate",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("subject", models.CharField(max_length=255)),
                ("message_html", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="EmailSendingRecord",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("recipients", models.TextField()),
                ("cc", models.TextField(blank=True, null=True)),
                ("bcc", models.TextField(blank=True, null=True)),
                ("date_sent", models.DateTimeField(auto_now_add=True)),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("delivered", "Доставлено"),
                            ("pending", "Выслано"),
                            ("failed", "Ошибка"),
                        ],
                        max_length=20,
                    ),
                ),
                ("error_message", models.TextField(blank=True, null=True)),
                (
                    "template",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="notification.emailtemplate",
                    ),
                ),
            ],
        ),
    ]
